at.chipkarte.client.elgatsv.soap

## Class SzenarioData

- Object
- - at.chipkarte.client.elgatsv.soap.SzenarioData

-     public class SzenarioData
      extends Object

  Enthält die Information zu den angelegten eMedikationsdaten (emedSzenarioInfo), dem Patienten (bpk-GH) und dem Vertragspartner (GDA-ID).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SzenarioData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBpkGh()` Bereichsspezifisches Personenkennzeichen des Patienten für den Gesundheitsbereich, in e-Medikation eindeutiger Schlüssel eines Patienten.
    `EmedIdDeskriptor[]` | `getEmedSzenarioInfo()` Informationen zu im Zuge der Zuordnung erstellten eMedikationen.
    `String` | `getGdaId()` OID des Vertragspartners aus dem GDA-Index.
    `void` | `setBpkGh(String bpkGh)`
    `void` | `setEmedSzenarioInfo(EmedIdDeskriptor[] emedSzenarioInfo)`
    `void` | `setGdaId(String gdaId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SzenarioData

          public SzenarioData()

  - ### Method Detail

    - #### getEmedSzenarioInfo

          public EmedIdDeskriptor[] getEmedSzenarioInfo()

      Informationen zu im Zuge der Zuordnung erstellten eMedikationen.
      Angabe: Kann.
      Format: 0..n
      Returns:
        Liste mit EMED-ID-Deskriptoren.

    - #### setEmedSzenarioInfo

          public void setEmedSzenarioInfo(EmedIdDeskriptor[] emedSzenarioInfo)

    - #### getBpkGh

          public String getBpkGh()

      Bereichsspezifisches Personenkennzeichen des Patienten für den Gesundheitsbereich, in e-Medikation eindeutiger Schlüssel eines Patienten.
      Angabe: Muss.
      Format: 3-stelliger Präfix "GH:", gefolgt von weiteren 28 Stellen (alphanumerisch), z.B.: "GH:XNV5ThCj5OwJR0oOcWmK4WUs5p4".
      Returns:
        Bereichsspezifisches Personenkennzeichen des Patienten für den Gesundheitsbereich.

    - #### setBpkGh

          public void setBpkGh(String bpkGh)

    - #### getGdaId

          public String getGdaId()

      OID des Vertragspartners aus dem GDA-Index.
      Angabe: Muss.
      Format: 255-stellig
      Returns:
        OID des Vertragspartners aus dem GDA-Index.

    - #### setGdaId

          public void setGdaId(String gdaId)